Task Class Referenceabstract

A Task object represents a unit of work that is performed when the method run() is called. More...

`#include <Task.h>`

Inheritance diagram for Task:

## Public Member Functions

virtual | ~Task ()
virtual void | run (TaskEngine &engine)=0
| Does whatever work this task represents.
virtual void | dispose ()=0
| Called when the task is no longer used but run has not and will not be called.

## Detailed Description

A Task object represents a unit of work that is performed when the method run() is called.

Tasks are intended to be used with a TaskEngine.

Definition at line 27 of file Task.h.

## Constructor & Destructor Documentation

## ~Task()

Task::~Task | ( |  | ) |

virtual

Definition at line 21 of file Task.cpp.

## Member Function Documentation

## dispose()

virtual void Task::dispose | ( |  | ) |

pure virtual

Called when the task is no longer used but run has not and will not be called.

This can happen from a destructor being called due to an exception, so dispose must not throw an exception under any circumstances.

Implemented in BigattiState, HilbertIndependenceConsumer, MsmIndependenceSplit, and Slice.

## run()

virtual void Task::run | ( | TaskEngine & | engine | ) |

pure virtual

Does whatever work this task represents.

The parameter can be used to schedule additional tasks.

Implemented in BigattiState, HilbertIndependenceConsumer, MsmIndependenceSplit, and Slice.

The documentation for this class was generated from the following files:

- src/Task.h
- src/Task.cpp